<div class="min-w-full p-2">
    <form class="flex flex-col w-full" [formGroup]="frmCostFactorList" (ngSubmit)="onFormSubmit(frmCostFactorList.value)">
        <div class="pb-1">
            <div class="text-3xl font-cairo font-bold mb-6">
                Add New Cost Factor
            </div>
        </div>
        <mat-dialog-content class="min-w-full relative mb-4">
                <div class="w-full">
                    <div class="flex w-full">
                        <div class="w-full" formArrayName="costFactorTextViewModels"> <!-- added new -->
                            <div *ngFor="let item of costFactorTextViewModels.controls; let i=index"><!-- added new -->
                                <div  [formGroupName]="i"class="flex flex-col"><!-- added new -->
                                    <div class="flex w-full">
                                        <mat-form-field class="w-1/3 pr-2">
                                            <mat-label>Cost Factor Name</mat-label>
                                            <input matInput  formControlName="cfDescription"/>
                                            <!-- <mat-error>
                                                <span *ngIf="!teamList.get('teamName').valid && teamList.get('teamName').touched">Please enter Team Name</span>
                                            </mat-error> -->
                                        </mat-form-field>
                                        <mat-form-field class="w-1/3 px-2">
                                            <mat-label>Description</mat-label>
                                            <input matInput  formControlName="cfName"/>
                                            <!-- <span
                                                *ngIf="!teamList.get('teamDescription').valid && teamList.get('teamDescription').touched">Please
                                                enter Team Desc</span> -->
                                        </mat-form-field>
                                        <mat-form-field class="w-1/3 pl-2">
                                            <mat-label>Cost Type</mat-label>
                                            <mat-select formControlName="cfTypeId">
                                                <!-- <mat-option [value]="1">Percentage of Line Net Amount</mat-option>
                                                <mat-option [value]="2">Fixed charge of Gross Amount</mat-option> -->
                                                <mat-option *ngFor="let cfType of costFactorTypes" [value]="cfType.id">
                                                    {{cfType.text}}
                                                </mat-option>
                                            </mat-select>
                                            <!-- <mat-error>
                                                <span *ngIf="!teamList.get('teamName').valid && teamList.get('teamName').touched">Please enter Team Name</span>
                                            </mat-error> -->
                                        </mat-form-field>
                                    </div>
                                    <div class="flex flex-col w-full">
                                        <button *ngIf="costFactorTextViewModels.controls.length-1==i"  (click)="addCostFactor()"  type="button" class="sm:inline-flex mr-auto" mat-stroked-button [color]="'primary'">
                                            <mat-icon class="icon-size-5 ml-8 mr-2" [svgIcon]="'heroicons_outline:plus-circle'"></mat-icon>
                                            <span class="mr-8">Add List</span>
                                        </button>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>

                </div>

                <div class="flex flex-col justify-start mt-5">
                    <div class="flex align-center text-warn font-medium mb-2" *ngIf="iserror">
                        <mat-icon [svgIcon]="'heroicons_outline:check-circle'" class="mr-2 text-warn"></mat-icon>
                        <span>{{'Successfully saved'}}</span>
                    </div>
                    <div class="flex align-center text-green font-medium mb-2" *ngIf="issuccess">
                        <mat-icon [svgIcon]="'heroicons_outline:check-circle'" class="mr-2 text-green"></mat-icon>
                        <span>{{'Something went wrong'}}</span>
                    </div>
                </div>
        </mat-dialog-content>
        <mat-dialog-actions class="flex justify-end sticky bottom-0">
            <button mat-button mat-dialog-close [color]="'primary'" (click)="doAction()" type="button">
                <span class="mx-4">Cancel</span>
            </button>
            <button class="sm:inline-flex ml-4" mat-raised-button [color]="'primary'" type="submit">
                <span class="mx-4">Save</span>
            </button>
        </mat-dialog-actions>
    </form>

</div>
